/*
 * Class WEL_TB_CONSTANTS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_432 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_432 [] = {0xFF01,1551,431,0xFFFF};
static const EIF_TYPE_INDEX egt_2_432 [] = {0xFF01,431,0xFFFF};
static const EIF_TYPE_INDEX egt_3_432 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_432 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_432 [] = {0xFF01,431,0xFFFF};
static const EIF_TYPE_INDEX egt_6_432 [] = {0xFF01,431,0xFFFF};
static const EIF_TYPE_INDEX egt_7_432 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_432 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_432 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_432 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_432 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_432 [] = {0xFF01,431,0xFFFF};


static const struct desc_info desc_432[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_432), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_432), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_432), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_432), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_432), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_432), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_432), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_432), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_432), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_432), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_432), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_432), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x035F /*431*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_432), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7329, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7330, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7331, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7332, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7333, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7334, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7335, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7336, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7337, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7338, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7339, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7340, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7341, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7342, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7343, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7344, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7345, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7346, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7347, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7348, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7349, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7350, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7351, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7352, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7353, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7354, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7355, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7356, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7357, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7358, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7359, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7360, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7361, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7362, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7363, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7364, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7365, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7366, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7367, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7368, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7369, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7370, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7371, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7372, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7373, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7374, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7375, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7376, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7377, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7378, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7379, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7380, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7381, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7382, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7383, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7384, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7315, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7316, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7317, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7318, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7319, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7320, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7321, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7322, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7323, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7324, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7325, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7326, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7327, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7328, 0xFFFFFFFF},
};
void Init432(void)
{
	IDSC(desc_432, 0, 431);
	IDSC(desc_432 + 1, 1, 431);
	IDSC(desc_432 + 32, 435, 431);
}


#ifdef __cplusplus
}
#endif
